package com.alterdekim.flash.decompiler.tag;

import com.alterdekim.flash.decompiler.compiler.CompileObject;
import com.alterdekim.flash.decompiler.util.ByteUtil;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.List;

@ToString
@NoArgsConstructor
public class End extends ShockwaveTag implements CompileObject {
    @Override
    public TagType getType() {
        return TagType.End;
    }

    @Override
    public List<Byte> compile() {
        return ByteUtil.fromPrimitive(new byte[] {0, 0});
    }
}
